## org.pentaho.reporting.libraries.formula.function.text
Class MidFunction

    java.lang.Object
      org.pentaho.reporting.libraries.formula.function.text.MidFunction

All Implemented Interfaces:
  java.io.Serializable, Function

    public class MidFunction

extends java.lang.Object
implements Function

This function returns extracted text, given an original text, starting position, and length.

Author:
  Cedric Pronzato
See Also:
  Serialized Form

Constructor Summary
`MidFunction()`

Method Summary
`TypeValuePair` `evaluate(FormulaContext context, ParameterCallback parameters)`
`java.lang.String` `getCanonicalName()`
`static java.lang.String` `process(java.lang.String text, int start, int lengthValue)` Computes the substring for the given text, using the 1-based start index and the given length.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MidFunction

    public MidFunction()

Method Detail

### evaluate

    public TypeValuePair evaluate(FormulaContext context,
                                  ParameterCallback parameters)
                           throws EvaluationException

  Specified by:
    `evaluate` in interface `Function`
  Throws:
    `EvaluationException`

### process

    public static java.lang.String process(java.lang.String text,
                                           int start,
                                           int lengthValue)

  Computes the substring for the given text, using the 1-based start index and the given length.

  Parameters:
    `text` -
    `start` -
    `lengthValue` -
  Returns:

### getCanonicalName

    public java.lang.String getCanonicalName()

  Specified by:
    `getCanonicalName` in interface `Function`